Page MenuHomePhabricator

Create way to share feedback from within the workflow
Closed, ResolvedPublic

Description

As @Esanders identified in chat, some of the people using the new Replying feature will be doing so because they previously opted-into the following preference: Automatically activate all new beta features.

This means, they are unlikely to know where to go to learn about the feature they are trying and where to share feedback, should they have any.

This task is about incorporating an affordance within the replying workflow that makes people aware of where and how to share feedback about the feature.

Implementation details

  • The feedback link should lead people to the following pages:
  • The feedback link text should read: "Share feedback about this feature"
  • Clicking the "feedback link" should open a new window in the person's browser, not overtake their existing one
  • The feedback link should be visible to people within the Replying workflow, before they publish their comment

Done

  • What is described in the "Implementation details" section above has been implemented

Event Timeline

ppelberg created this task.Mar 31 2020, 4:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2020, 4:30 PM
ppelberg added a comment.EditedMar 31 2020, 7:16 PM

Update: 31-March

Notes from the conversation @Esanders and I had this morning below. These items are also now represented in the "Implementation details" section of the task description:

  • The feedback link should lead people to the following page: https://www.mediawiki.org/wiki/Talk:Talk_pages_project/replying
  • The feedback link text should read: "Share feedback about this feature"
  • Clicking the "feedback link" should open a new window in the person's browser, not overtake their existing one
  • The feedback link should be visible to people within the Replying workflow, before they publish their comment

Next steps

  • Implement what is described in the "Implementation details" section of the task description
  • @Esanders to consult with @iamjessklein on design

Eventually, we need all the feedback centralized, because we aren't going to watch 100+ pages on 100+ wikis. In the meantime, https://phabricator.wikimedia.org/T244683 has the list of the most likely places to find feedback for these four wikis.

ppelberg added a comment.EditedMar 31 2020, 11:02 PM

Eventually, we need all the feedback centralized, because we aren't going to watch 100+ pages on 100+ wikis.

Agreed. Right now, the plan is for the feedback link within the workflow to direct people to mw.org, specifically: Talk:Talk_pages_project/replying...

In the meantime, https://phabricator.wikimedia.org/T244683 has the list of the most likely places to find feedback for these four wikis.

A question for engineering related to what Sherry is alluding to in the quoted comment above:

Option 1, provide the link the t&c section (dummy copy):

A question for engineering related to what Sherry is alluding to in the quoted comment above:

Per today's meeting, we will do the following:

  • For now, the feedback URL will vary by wiki. See task description for wiki-specific URLs.
  • In the future, when the Replying tool is deployed more widely, all feedback URLs will be consistent: T249295

Updates: 6-April
Notes from a conversation with @Esanders and @iamjessklein just now...
For this iteration, we will:

...if people end up having a difficult time discovering the feedback link, we will explore changing the design.

Esanders claimed this task.Apr 7 2020, 2:17 PM

At this small font size, "here" does not make for a very accessible click target, so I'll just make the link "[Share feedback about this feature](...)"

Change 587274 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/DiscussionTools@master] Add a share feedback link

https://gerrit.wikimedia.org/r/587274

The link is set to mw.org in the code, and should be overridden on-wiki for ar.wiki, fr.wiki & hu.wiki.

At this small font size, "here" does not make for a very accessible click target, so I'll just make the link "[Share feedback about this feature](...)"

Good thought.

The link...should be overridden on-wiki for ar.wiki, fr.wiki & hu.wiki.

@Esanders who does the "overriding"? Should we be asking our contacts at ar.wiki, fr.wiki & hu.wiki to override the link targets themselves? Something else?

ppelberg updated the task description. (Show Details)

Update: 12-April

Anyone with global message access (e.g. myself) can change the messages.

For feedback links in Echo and VE we use the 'feedback' icon (see here); do we want to do that too?

Change 587274 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Add a share feedback link

https://gerrit.wikimedia.org/r/587274

ppelberg moved this task from Inbox to High Priority on the Editing QA board.Apr 16 2020, 10:11 PM

Given we're using 10.5px text, probably not?

Checked on Beta cluster, looks okay to me. Will check this again on production for all four wikis.
@ppelberg: let's keep it open until then?

Checked on Beta cluster, looks okay to me. Will check this again on production for all four wikis.
@ppelberg: let's keep it open until then?

Sounds good to me, @Ryasmeen.

ppelberg moved this task from High Priority to Inbox on the Editing QA board.Apr 30 2020, 10:40 PM

All the feedback links are now redirecting to the appropriate project feedback pages for all target wikis.

ppelberg closed this task as Resolved.Jun 1 2020, 1:30 AM
ppelberg updated the task description. (Show Details)
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 1 2020, 1:30 AM